set.thread.count {mRMRe} | R Documentation

## openMP Thread Count

### Description

This methods allows you to set the number of cores currently accessible to openMP

### Usage

    set.thread.count(thread_count)

### Arguments

`thread_count` | number of OPENMP threads to be used

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    # Access to number of available threads
    threads <- get.thread.count()
    # Force a single threaded openMP job
    set.thread.count(1)

    # Revert back to all accessible threads
    set.thread.count(threads)

[Package mRMRe version 2.0.9 Index]